DKBSignDocs

API reference

POSTRequires Bearer token

Find or create a client by email

/api/clients/ensure

Submit `/api/clients/ensure`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
email
Required
stringClient email.
e.g. "legal@acme.test"
name
stringUsed when the client is created.
e.g. "ACME SA"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/clients/ensure' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"email":"legal@acme.test","name":"ACME SA"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}